/* user styles */

            /* styles are what change the color and sizes of stuff on your site. */

            /* if you have the URL of a font, you can set it below */
            /* feel free to delete this if it's not your vibe */

            /* this seems like a lot for just one font and I would have to agree 
    but I wanted to include an example of how to include a custom font.
    If you download a font file you can upload it onto your Neocities
    and then link it! Many fonts have separate files for each style
    (bold, italic, etc. T_T) which is why there are so many!
    
        @font-face {
                font-family: "Venice";
                src: url("/typeface/VeniceClassic.ttf?#iefix") format("truetype");
            }
            
    
    */
            
            body {
                margin: 0;
                background-color: #2596be;
                /* you can delete the line below if you'd prefer to not use an image */
                background-size: 65px;
                color: #fceaff;
                background-image: url('images/newstarrysky.gif');
            } 

            /* below this line is CSS for the layout */

            /* this is a CSS comment
    to uncomment a line of CSS, remove the * and the /
    before and after the text */

            .jua-regular {
                font-family: "Jua", sans-serif;
                font-weight: 400;
                font-style: normal;
            }
            
            .gamja-flower-regular {
                font-family: "Gamja Flower", sans-serif;
                font-weight: 400;
                font-style: normal;
            }
            /* the "container" is what wraps your entire website */
            /* if you want something (like the header) to be Wider than
    the other elements, you will need to move that div outside
    of the container */
            #container {
                max-width: 900px;
                /* this is the width of your layout! */
                /* if you change the above value, scroll to the bottom
      and change the media query according to the comment! */
                margin: 0 auto;
                /* this centers the entire page */
            }

            #header {
                width: 100%;
                background-color: #2596be;
                /* header color here! */
                height: 150px;
                /* this is only for a background image! */
                /* if you want to put images IN the header, 
      you can add them directly to the <div id="header"></div> element! */
                background-image: url('images/pastelsky.jpg');
                background-size: 100%;
                box-sizing: border-box;
            }

            .flex {
                display: flex;
            }
            
            #topBar {
                width: 100%;
                height: 21px;
                font-size: smaller;
                background-color: #520947;
                text-align: center;
            }
            /* this colors BOTH sidebars
    if you want to style them separately,
    create styles for #leftSidebar and #rightSidebar */
            #leftSidebar {
                background-color: #4d1e63;
                width: 200px;
                margin: 10px;
                box-sizing: border-box;
                padding: 8px;
                line-height: 18px;
            }
            
            #leftSidebar a {
                color: #67d6e0;
                text-decoration: none;
            }

            /* this is the color of the main content area,
    between the sidebars! */
            main {
                background-color: #381847;
                flex: 1;
                padding: 10px;
                box-sizing: border-box;
                text-align: center;
                line-height: 18px;
            }
            
            main li {
                text-align: left;
            }

            #bottomBar {
                background-color: #520947;
                /* background color for footer */
                width: 100%;
                height: 40px;
                padding: 10px;
                text-align: center;
                font-size: 14px;
                /* this centers the footer text */
                box-sizing: border-box;
            }
            
            #devlog {
                background-color: #0c001c;
                border: 1px solid #ccb8d6;
                padding: 5px;
                box-sizing: border-box;
                line-height: 16px;
                text-align: left;
                width: 180px;
            }
            
            #landing {
                padding: 20px;
                width: 410px;
            }
            
            #intro {
                background-color: #381847;
                flex: 1;
                padding: 10px;
                box-sizing: border-box;
                text-align: center;
                line-height: 8px;
            }

            h1,
            h2,
            h3 {
                font-family: "Jua", sans-serif;
                color: #ccb8d6;
                text-decoration: none;
            }

            h1 {
                font-size: 45px;
                line-height: 35px;
            }
            
            h2 {
                font-size: 35px;
                line-height: 30px;
            }
            
            h3 {
                font-size: 25px;
                line-height: 28px;
            }
            
            p, li {
                font-family: "Gamja Flower", sans-serif;
            }
            
            p {
                font-size: 20px;
            }
            
            li {
                font-size: 18px;
            }
            
            li::marker {
                content: "\01FAD8";
            }
            
            a {
                color: #783DC0;
                text-decoration: none;
            }
            
            strong {
                /* this styles bold text */
                color: #ED64F5;
            }
            
            i {
                color: #783DC0;
            }
            .clicky {
                outline: none;
                color: #73077d;
                padding: 4px;
                padding-left: 10px;
                padding-right: 10px;
                border: 2px dashed #73077d;
                border-radius: 15px;
                background-color: #e0bce0;
                box-shadow: 0 0 0 4px #e0bce0, 2px 2px 4px 2px rgba(0, 0, 0, 0.5);
                transition: .1s ease-in-out, .4s color;
            }

            button:active {
                transform: translateX(0.1em) translateY(0.1em);
                box-shadow: 0 0 0 4px #73077d, 1.5px 1.5px 2.5px 1.5px rgba(0, 0, 0, 0.5);
            }

            /* this is just a cool box, it's the darker colored one */
            .nav {
                background-color: #0c001c;
                border: 1px solid #ccb8d6;
                padding: 5px;
                box-sizing: border-box;
                line-height: 16px;
            }
            
            .nav p {
                font-size: 18px;
            }
            
            /* CSS for extras */
            
            .eggpost {
                background-color: #0c001c;
                border: 1px solid #ccb8d6;
                padding: 10px;
                box-sizing: content-box;
                line-height: 16px;
                text-align: justify;
            }
            
            .catpost {
                background-color: #0c001c;
                border: 1px solid #ccb8d6;
                padding: 10px;
                box-sizing: content-box;
                line-height: 16px;
                text-align: left;
            }
            
            .line {
                line-height: 18px;
            }

            /* BELOW THIS POINT IS MEDIA QUERY */

            @media only screen and (max-width: 800px) {
                .flex {
                    flex-wrap: wrap;
                }
                
                header, main, footer {
                    width: 85%;
                    float: none;
                    overflow: hidden;
                    
                }
                
                #topBar {
                    width: 100%;
                }

                /* the order of the items is adjusted here for responsiveness!
      since the sidebars would be too small on a mobile device.
      feel free to play around with the order!
      */
                main {
                    order: 1;
                }

                #leftSidebar {
                    order: 4;
                    float: none;
                    width: 100%;
                }
                
                #bottomBar {
                    order: 5;
                    width: 100%;
                    height: 55px;
                }
                
                #devlog {
                    order: 2;
                    float: none;
                    width: 100%;
                }
                
                #landing {
                    order: 3;
                    float: none;
                    width: 100%;
                }
            }